Geoportal/urls.py
from django.contrib import admin
from django.http import HttpResponseRedirect
from django.urls import path, include

from Geoportal.settings import STATIC_URL

urlpatterns = [
    path('favicon.ico', lambda x: HttpResponseRedirect(STATIC_URL + "useroperations/images/favicon.ico")),
    path('admin/', admin.site.urls),
    path('search/', include('searchCatalogue.urls')),
    path('captcha/', include('captcha.urls')),
    path('manage/', include('resourceManager.urls')),
    path('', include('useroperations.urls')),
    path('news/', include('news.urls')),
    path("i18n/", include("django.conf.urls.i18n")),
]

handler500 = "useroperations.views.handle500"

news/urls.py
from django.urls import path
from .views import *

app_name = "news"
urlpatterns = [
    path('twitter/', twitter_view, name='twitter_view'),
]

searchCatalogue/urls.py
"""

Author: Michel Peltriaux
Organization: Spatial data infrastructure Rheinland-Pfalz, Germany
Contact: michel.peltriaux@vermkv.rlp.de
Created on: 22.01.19

"""
from django.urls import path, include
from .views import *

app_name = "searchCatalogue"

urlpatterns = [
    path("", index, name="index"),
    path("external/", index_external, name="index_external"),
    path("autocompletion/", auto_completion, name="auto_completion"),
    path("coupled-resources/", resolve_coupled_resources, name="resolve_coupled_resources"),
    path("search/", get_data, name="get_data"),
    # Ajax calls
    path("permission-email/", get_permission_email_form, name="get_permission_email_form"),
    path("send-permission-email/", send_permission_email, name="send_permission_email"),
    path("terms-of-use/", terms_of_use, name="terms_of_use"),
]

useroperations/urls.py
from django.contrib import admin
from django.urls import path, include , re_path
from .views import *

app_name = "useroperations"
urlpatterns = [
    path('', index_view, name='index'),
    path('apps/', applications_view, name='apps'),
    path('organizations/', organizations_view, name='organizations'),
    path('categories/', categories_view, name='categories'),
    path('categories/inspire/', categories_inspire_view, name='inspire-categories'),
    path('categories/iso/', categories_iso_view, name='iso-categories'),
    path('feedback/', feedback_view, name='feedback'),
    path('map-viewer/', map_viewer_view, name='map_viewer'),
    path('map', get_map_view, name='map'),
    path('login/', login_view, name='login'),
    path('register/', register_view, name='register'),
    path('password_reset/', pw_reset_view, name='pw_reset'),
    path('change-profile/', change_profile_view, name='change_profile'),
    path('delete-profile/', delete_profile_view, name='delete_profile'),
    path('logout/', logout_view, name='logout'),
    path('article/<slug:wiki_keyword>/', index_view, name='index'),
    path('activate/<slug:activation_key>', activation_view, name='activation'),
    path('incompatible/', incompatible_browser, name='incompatible-browser'),
    path('service_abo/', service_abo, name='service_abo'),
    path('linked_open_data/', open_linked_data, name='open_linked_data'),
    ]

templates/cookie_banner.html
{% load i18n %}

<div class="cookie-container">
    {% if is_mobile %}
    <article class="cookie-text mobile-advice">
        {% blocktrans %}
        You are using a mobile device. Not all functions of this webpage can be used on mobile devices.
        For full functionality please visit us using a desktop browser.
        <br>
        Thank you very much.
        {% endblocktrans %}
    </article>
    {% endif %}
    <article class="cookie-text">

        {% blocktrans %}
        This webpage uses cookies to provide you the best user experience. <br>
        On further questions regarding personal data security, please read our
        {% endblocktrans %}
        <a href="{%url 'useroperations:index' wiki_keyword='Datenschutz' %}">{% trans 'data policy' %}</a>.
    </article>
    <div class="cookie-button form-submit-button" onclick="sc()">{% trans 'I understand!' %}</div>
</div>
<script>
    function sc(){
        var cookieBanner = $(".cookie-container");
        cookieBanner.toggle();
        setCookie('{{ COOKIE_VALUE }}', true)
    }
</script>

templates/none.html
<!DOCTYPE html>

<div>
{% block body %}

{% endblock %}
</div>

templates/unsupported_browser.html
<!DOCTYPE html>
<html lang="en">
{% load static i18n %}
<head>
    <meta charset="UTF-8">
    <title>Geoportal{% block title %} {{ GEOPORTAL_IDENTIFIER }} {% endblock %}</title>
    <link rel="stylesheet" type="text/css" href="{% static 'useroperations/css/unsupported.css' %}" media="all" />
</head>
<body class="unsupported-browser">
    <div class="content">
        <h1>{% trans 'Unsupported browser detected' %}</h1>
        <article>
            {% trans 'Dear Visitor,' %} <br>
            {% trans 'you are using a not supported browser. For the best user experience and for reasons of data security it is recommended to use a modern browser,' %} <br>
            {% trans 'such as Microsoft Edge, Mozilla Firefox, Google Chrome or Opera.' %}
            {% trans 'Additional information can be found on the following page:' %}
	    <a href="/mediawiki/index.php/Browserkompatibilitaet">{% trans 'Compatibility' %}.<a><br>
            Kontakt zum Helpdesk: +49 (0) 681 9712-720; geoportal.saarland@lvgl.saarland.de.
        </article>
        <h3>{% trans 'Thank you for your understanding!' %}</h3>
    </div>
</body>

<footer class="unsupported-browser">
    <a href="/"><img alt="{% trans 'Logo of the spatial data infrastructure organization' %}" id="logo_gdi" src="{% static 'useroperations/images/logo-gdi.png' %}" title="{{ LOGO_GEOPORTAL_TITLE }}" /></a>
</footer>

</html>